package model.errorhandling;

import java.util.ArrayList;

/**
 * Created by Patrick on 23.06.2018.
 */
public class ErrorMessages {
    private static  ArrayList<ErrorListener> errorListeners;
    static{
        errorListeners=new ArrayList<ErrorListener>();
    }
    public static void throwError(final Error error){
        errorListeners.forEach(e->e.errorThrown(error));
    }
    public static void addListener(ErrorListener listener){
        errorListeners.add(listener);
    }
    public static void removeListener(ErrorListener listener){
        errorListeners.remove(errorListeners);
    }
}
